#ifndef MAIN_H
#define MAIN_H
/*
* Dateiname.... main.h
* erstellt am.. 2013-05-25
* gendert am.. 2014-03-03
* Autor........ Clemens B Fahr
* email........ clemens.fahr[at]fahrnet.de
* Kommentar.... based on RFM_wireless_small_base_01 SVN 451
* .............	change RFM-RX philosophy to ISRs
* .............				
*/

// includes
//------------------------------------------------------------------
#include <avr/io.h>
#include <avr/interrupt.h>
#include <inttypes.h>

// defines
//------------------------------------------------------------------

// variables
//------------------------------------------------------------------

// forward and external declarations
//------------------------------------------------------------------
extern void LOWLEVEL_init_all(void);
extern void LOWLEVEL_init_RFM(void);
extern void LOWLEVEL_sleep_RFM(void);
extern void LOWLEVEL_RFM_stop_RX(void);
extern void LOWLEVEL_delay_1ms(uint16_t multiplier);
extern void LOWLEVEL_UART_TX(uint8_t aByte);
extern void LOWLEVEL_toggle_LED1(uint8_t inhibit);

#endif